org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageRowStore

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageRowStore

    public class MetastorageRowStore
    extends Object

### Field Summary

Fields
`protected IgniteCacheDatabaseSharedManager` `db`

### Constructor Summary

Constructors
Constructor and Description
`MetastorageRowStore(PartitionMetaStorage<MetastorageRowStoreEntry> partStorage, IgniteCacheDatabaseSharedManager db)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `addRow(byte[] val)`
`byte[]` `readRow(long link)`
`void` `removeRow(long link)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### db

    protected final IgniteCacheDatabaseSharedManager db

### Constructor Detail

#### MetastorageRowStore

    public MetastorageRowStore(PartitionMetaStorage<MetastorageRowStoreEntry> partStorage,
                               IgniteCacheDatabaseSharedManager db)

### Method Detail

#### readRow

    public byte[] readRow(long link)
                   throws IgniteCheckedException

Parameters:
  `link` - Row link.
Returns:
  Data row.
Throws:
  `IgniteCheckedException`

#### removeRow

    public void removeRow(long link)
                   throws IgniteCheckedException

Parameters:
  `link` - Row link.
Throws:
  `IgniteCheckedException` - If failed.

#### addRow

    public long addRow(byte[] val)
                throws IgniteCheckedException

Parameters:
  `val` - Value to store.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021